cordova-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From shaz...@apache.org
Subject ios commit: [CB-1550] iOS build, debug, emulate scripts should check xcode version
Date Fri, 07 Dec 2012 23:22:04 GMT
Updated Branches:
  refs/heads/master 8e90ed201 -> c6f8c1746


[CB-1550] iOS build, debug, emulate scripts should check xcode version


Project: http://git-wip-us.apache.org/repos/asf/cordova-ios/repo
Commit: http://git-wip-us.apache.org/repos/asf/cordova-ios/commit/c6f8c174
Tree: http://git-wip-us.apache.org/repos/asf/cordova-ios/tree/c6f8c174
Diff: http://git-wip-us.apache.org/repos/asf/cordova-ios/diff/c6f8c174

Branch: refs/heads/master
Commit: c6f8c174653b6533c10c7160f6835dbe2e199284
Parents: 8e90ed2
Author: Shazron Abdullah <shazron@apache.org>
Authored: Fri Dec 7 15:21:54 2012 -0800
Committer: Shazron Abdullah <shazron@apache.org>
Committed: Fri Dec 7 15:21:54 2012 -0800

----------------------------------------------------------------------
 bin/templates/project/cordova/build   |    8 ++++++++
 bin/templates/project/cordova/emulate |    7 +++++++
 bin/templates/project/cordova/release |    8 ++++++++
 bin/templates/project/cordova/run     |    7 +++++++
 4 files changed, 30 insertions(+), 0 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/cordova-ios/blob/c6f8c174/bin/templates/project/cordova/build
----------------------------------------------------------------------
diff --git a/bin/templates/project/cordova/build b/bin/templates/project/cordova/build
index 72b274c..1574c5e 100755
--- a/bin/templates/project/cordova/build
+++ b/bin/templates/project/cordova/build
@@ -25,6 +25,14 @@
 
 set -e
 
+XCODE_VER=$(xcodebuild -version | head -n 1 | sed -e 's/Xcode //')
+XCODE_MIN_VERSION="4.5"
+
+if [[ "$XCODE_VER" < "$XCODE_MIN_VERSION" ]]; then
+	echo "Cordova can only run in Xcode version $XCODE_MIN_VERSION or greater."
+	exit 1
+fi
+
 CORDOVA_PATH=$( cd "$( dirname "$0" )" && pwd -P)
 PROJECT_PATH="$(dirname "$CORDOVA_PATH")"
 XCODEPROJ=$( ls "$PROJECT_PATH" | grep .xcodeproj  )

http://git-wip-us.apache.org/repos/asf/cordova-ios/blob/c6f8c174/bin/templates/project/cordova/emulate
----------------------------------------------------------------------
diff --git a/bin/templates/project/cordova/emulate b/bin/templates/project/cordova/emulate
index b85482b..7f7072a 100755
--- a/bin/templates/project/cordova/emulate
+++ b/bin/templates/project/cordova/emulate
@@ -20,6 +20,13 @@
 
 set -e
 
+XCODE_VER=$(xcodebuild -version | head -n 1 | sed -e 's/Xcode //')
+XCODE_MIN_VERSION="4.5"
+
+if [[ "$XCODE_VER" < "$XCODE_MIN_VERSION" ]]; then
+	echo "Cordova can only run in Xcode version $XCODE_MIN_VERSION or greater."
+	exit 1
+fi
 
 CORDOVA_PATH=$( cd "$( dirname "$0" )" && pwd -P)
 PROJECT_PATH="$(dirname "$CORDOVA_PATH")"

http://git-wip-us.apache.org/repos/asf/cordova-ios/blob/c6f8c174/bin/templates/project/cordova/release
----------------------------------------------------------------------
diff --git a/bin/templates/project/cordova/release b/bin/templates/project/cordova/release
index c515efb..7263934 100755
--- a/bin/templates/project/cordova/release
+++ b/bin/templates/project/cordova/release
@@ -25,6 +25,14 @@
 
 set -e
 
+XCODE_VER=$(xcodebuild -version | head -n 1 | sed -e 's/Xcode //')
+XCODE_MIN_VERSION="4.5"
+
+if [[ "$XCODE_VER" < "$XCODE_MIN_VERSION" ]]; then
+	echo "Cordova can only run in Xcode version $XCODE_MIN_VERSION or greater."
+	exit 1
+fi
+
 CORDOVA_PATH=$( cd "$( dirname "$0" )" && pwd -P)
 PROJECT_PATH="$(dirname "$CORDOVA_PATH")"
 XCODEPROJ=$( ls "$PROJECT_PATH" | grep .xcodeproj  )

http://git-wip-us.apache.org/repos/asf/cordova-ios/blob/c6f8c174/bin/templates/project/cordova/run
----------------------------------------------------------------------
diff --git a/bin/templates/project/cordova/run b/bin/templates/project/cordova/run
index b85482b..7f7072a 100755
--- a/bin/templates/project/cordova/run
+++ b/bin/templates/project/cordova/run
@@ -20,6 +20,13 @@
 
 set -e
 
+XCODE_VER=$(xcodebuild -version | head -n 1 | sed -e 's/Xcode //')
+XCODE_MIN_VERSION="4.5"
+
+if [[ "$XCODE_VER" < "$XCODE_MIN_VERSION" ]]; then
+	echo "Cordova can only run in Xcode version $XCODE_MIN_VERSION or greater."
+	exit 1
+fi
 
 CORDOVA_PATH=$( cd "$( dirname "$0" )" && pwd -P)
 PROJECT_PATH="$(dirname "$CORDOVA_PATH")"


Mime
View raw message